I've just learned how to create a custom parameter group and add a parameter to it. However, the parameter remains in the User Parameters group. Is it possible to remove it from there so it's only shown in my custom group?
Solved! Go to Solution.
Solved by DRoam. Go to Solution.
Solved by JaneFan. Go to Solution.
You can right click on User parameter and delete it.
See attached file can help you.
Thanks
Pratik
@Pratik.Ksoni, i think DRoam is trying to do that with programing code.
I believe a mentor (rank10) of this forum knows how to delete a parameter...
Deleting the parameter deletes the parameter entirely (including from my custom group). I don't want to delete it, I just want to remove it from the User Parameters group so it's only shown in my custom group.
Example:
Hi,
Note: You cant delete/remove original parameter.
Try this:
Dim oApp As Application Dim oPD As PartDocument Dim oPCD As PartComponentDefinition Dim oPs As Parameters Dim oUps As UserParameters Dim oUP As UserParameter Dim MyGroupParam As CustomParameterGroup Dim MyParamList As New ArrayList oApp = ThisApplication oPD = oApp.ActiveDocument oPCD = oPD.ComponentDefinition oPs = oPCD.Parameters oUps = oPs.UserParameters InputField: MyGroups = InputBox("Enter Name of Groups", "Enter Field") Try MyGroupParam = oPs.CustomParameterGroups.Add(MyGroups, MyGroups) GoTo AddParameters Catch MsgBox("Group Parameter Already Exist, Please Create Another Name", msgboxstyle.Critical, "Error") GoTo InputField End Try AddParameters : For Each oUP In oUps MyParamList.Add(oUP.Name) Next MySelectedParam = InputListBox("Select Parameters", MyParamList) For Each oUP In oUps If oUP.name = MySelectedParam Then MyGroupParam.Add(oUP) End If Next
@JaneFan thank you for confirming for me.
For anyone who would like to vote, I created a request for this here: API: Put parameter in custom parameter group only (remove from User Parameters).
Oops, just realized, how I accomplished this before. It was not custom parameters, but object parameters.
Sorry
/Michael
Hi @hamed_nemati.
Dim oNewCParamGroup As CustomParameterGroup = PartDocument.ComponentDefinition.Parameters.CustomParameterGroups.Add("Displayname", "InternalName", "ClientId")
https://help.autodesk.com/view/INVNTOR/2022/ENU/?guid=CustomParameterGroup_Add_Sample
https://help.autodesk.com/view/INVNTOR/2022/ENU/?guid=Parameters_CustomParameterGroups
https://help.autodesk.com/view/INVNTOR/2022/ENU/?guid=CustomParameterGroups
https://help.autodesk.com/view/INVNTOR/2022/ENU/?guid=CustomParameterGroups_Add
Wesley Crihfield
(Not an Autodesk Employee)
Can't find what you're looking for? Ask the community or share your knowledge.